.container_AD {
  display: flex;
  flex-direction: column;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}

.is-mobile_AD .toolbar_AD {
  position: fixed;
  z-index: 2;
}

h1.app-name_AD {
  margin-left: 14px;
  font-weight: bolder;
  font-size: 25px;
  height: -webkit-fit-content;
  height: -moz-fit-content;
  height: fit-content;
  margin-top: 0px;
  min-width: 160px;
  max-width: 160px;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}

.sidenav-container_AD {
  flex: 1;
}

.is-mobile .sidenav-container_AD {
  flex: 1 0 auto;
}

.mat-drawer.mat-drawer-side {
  z-index: 2;
}

.mat-drawer.mat-drawer-side {
  transition: width 0.18s linear 0s;
  overflow-x: hidden;
  width: 256px;
}

.mat-drawer.mat-drawer-side.small-drawer {
  width: 58px;
  position: fixed;
  height: calc(100vh - 64px);
  top: 64px;
}

.dark {
  .mat-drawer.mat-drawer-side.small-drawer:hover {
    animation: BoxShadow_d 0.3s forwards;
    animation-iteration-count: 1;
    animation-delay: 0.01s;
  }
}

.light {
  .mat-drawer.mat-drawer-side.small-drawer:hover {
    animation: BoxShadow_l 0.3s forwards;
  }
}

.mat-drawer.mat-drawer-side.small-drawer:hover {
  transition: width 0.18s linear 0.5s;
  width: 256px;
}



.mat-drawer-inner-container {
  overflow: hidden auto !important;
  min-width: 256px;
  padding-right: 7px;
  // background: #fafafa;
}


/* Standard syntax */
@keyframes BoxShadow_l {
  0% {
    box-shadow: none;
  }

  100% {
    @include box-shadow($shadows_l);
  }
}


/* Standard syntax */
@keyframes BoxShadow_d {
  0% {
    box-shadow: none;
  }

  100% {
    @include box-shadow($shadows_d);
  }
}

// SIDENAV ITEMS

.mat-action-list .mat-list-item:focus,
.mat-action-list .mat-list-item:hover,
.mat-list-option:focus,
.mat-list-option:hover,
.mat-nav-list .mat-list-item:focus,
.mat-nav-list .mat-list-item:hover {
  background: rgba(0, 0, 0, 0.04);
  border-top-right-radius: 50px;
  border-bottom-right-radius: 50px;
}

.mat-nav-list .mat-list-item {
  margin: 0 0 0 0;
}

.mat-nav-list .mat-list-item:last-child {
  margin: 0 0 0 0;
}

.mat-list-base .mat-list-item .mat-list-item-ripple,
.mat-list-base .mat-list-option .mat-list-item-ripple {
  border-top-right-radius: 50px;
  border-bottom-right-radius: 50px;
}

.mat-drawer-side {
  border-right: solid 0px #caccd3 !important;
}

.mat-nav-list {
  .mat-expansion-panel {
    background: #00000000 !important;
    box-shadow: none !important;
  }

  .mat-expansion-panel-header {
    padding: 0px !important;
    position: relative;
  }

  .mat-expansion-indicator {
    position: absolute !important;
    right: 30px;
    top: 15px;
  }

  .mat-expansion-panel .mat-expansion-panel-header.cdk-keyboard-focused:not([aria-disabled="true"]),
  .mat-expansion-panel .mat-expansion-panel-header.cdk-program-focused:not([aria-disabled="true"]),
  .mat-expansion-panel:not(.mat-expanded) .mat-expansion-panel-header:hover:not([aria-disabled="true"]) {
    background: rgba(0, 0, 0, 0.04) !important;
    border-bottom-right-radius: 50px !important;
    border-top-right-radius: 50px !important;
  }

  .mat-expansion-panel-body {
    padding: 0 !important;
  }

  .mat-expansion-panel-spacing {
    margin: 0 !important;
  }

  .mat-expansion-panel-header {
    display: block !important;
  }

  a {
    transition: all 0.4s !important;
  }

  .menu-item-icon.mat-icon {
    margin: 6px 22px 5px 9px;
    width: 26px;
    height: 26px;
    font-size: 26px;
  }
}

.margin-snav-item {
  margin: 10px 0;
}

.mat-list-base .mat-list-item .mat-list-item-content,
.mat-list-base .mat-list-option .mat-list-item-content {
  padding: 0 16px 0 5px !important;
}